Bug 860923 - [Drupal]RFE: The Styles of drupal_book should be Described clearly.
[Drupal]RFE: The Styles of drupal_book should be Described clearly.
Status: CLOSED NOTABUG
Product: Publican
Classification: Community
Component: publican (Show other bugs)
future
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Ruediger Landmann
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 02:09 EDT by zhaiyu
Modified: 2013-01-09 05:32 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-27 18:55:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
styles difference for drupal and html (188.08 KB, application/x-gzip)
2012-09-29 04:21 EDT, zhaiyu
no flags Details

  None (edit)
Description zhaiyu 2012-09-27 02:09:57 EDT
Description of problem:
After import the drupal book generated by publican 3.1, some styles that can display in html page could not show, such as font size of title and subtitles, italic, some graphic logos.

Version-Release number of selected component (if applicable):
3.1-0

How reproducible:
always

Steps to Reproduce:
1.Import the drupal book.
2.Check the book on Drupal.
3.
  
Actual results:
As Description.

Expected results:


Additional info:
Comment 1 zhaiyu 2012-09-27 06:13:39 EDT
The styles which is different from html format:

1. font size of title and subtitle.
2. Bold and Italic font
3. Brand logos
4. Column width
5. Some styles for writing code or tables
Comment 2 Jeff Fearn 2012-09-27 18:55:41 EDT
Publican is not responsible for the styling in Drupal.
Comment 3 Jin Zhao 2012-09-28 11:41:00 EDT
Is there any suggestion that how to config Drupal in order to avoid the inconsistent styles
Comment 4 Hao Chang Yu 2012-09-28 19:59:27 EDT
Openshift use their own drupal theme. They need to modify their css to work with this. Publican just insert the html body to the page and has no control over the style.
Comment 5 zhaiyu 2012-09-29 04:21:12 EDT
Created attachment 618911 [details]
styles difference for drupal and html
Comment 6 Jin Zhao 2012-09-29 04:31:59 EDT
(In reply to comment #5)
> Created attachment 618911 [details]
> styles difference for drupal and html

@hao, Could you help to confirm all issue are Openshift drupal theme as attachment? Thanks
Comment 7 Hao Chang Yu 2012-10-01 05:59:30 EDT
Yes. They are all control by CSS stylesheet. In the below example, there are 'class' attributes (orderedlist, listitem) in the html tags. The stylist need to declare the class in the drupal css file to format it. 


<div class="para"> Before you can install <span class="productname">OpenShift</span> client tools on Windows operating systems, you must download and install the following software: </div>
<div class="orderedlist">
<ol>
<li class="listitem">
<div class="para"> RubyInstaller </div>
</li><li class="listitem">
<div class="para"><code class="systemitem"><span class="package">Git</span></code> — software version control system. </div>

Note You need to log in before you can comment on or make changes to this bug.